Docs
Update File
PUT /Drives/{driveId}/files/{fileId}
PUT
/Drives/{driveId}/files/{fileId}Updates a file's name, description and path (change the path to move it), plus assignedTo and dueDate for Deliverable files only. Requires File.* or File.Edit on the file.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| fileId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| description | string | Optional | |
| path | string | Optional | |
| assignedTo | uuid | Optional | |
| dueDate | date-time | Optional | |
| url | string | Optional |